MyGUI: MyGUI::MemberObsolete< MultiListBox > Class Template Reference

MyGUI 3.2.2

Public Member Functions
MyGUI::MemberObsolete< MultiListBox > Class Template Reference

`#include <MyGUI_BackwardCompatibility.h>`

Inheritance diagram for MyGUI::MemberObsolete< MultiListBox >:
[legend]

## Public Member Functions
size_t | getItemIndexSelected ()
void | setItemSelectedAt (size_t _index)
void | clearItemSelected ()
size_t | findItem (size_t _column, const UString &_name)
const UString & | getSubItem (size_t _column, size_t _index)
void | setSubItem (size_t _column, size_t _index, const UString &_name)
void | deleteColumn (size_t _column)
void | deleteAllColumns ()
int | getColumnWidth (size_t _column)
const UString & | getColumnName (size_t _column)
void | setColumnWidth (size_t _column, int _width)
void | addColumn (int _width, const UString &_name)
void | setColumnName (size_t _column, const UString &_name)
void | insertColumn (size_t _column, int _width, const UString &_name)
size_t | getItemSelect ()
void | resetItemSelect ()
void | setItemSelect (size_t _index)
void | insertItem (size_t _index, const UString &_name)
void | setItem (size_t _index, const UString &_name)
const UString & | getItem (size_t _index)
void | deleteItem (size_t _index)
void | deleteAllItems ()

## Detailed Description

### template<>
class MyGUI::MemberObsolete< MultiListBox >

Definition at line 239 of file MyGUI_BackwardCompatibility.h.

## Member Function Documentation

## ◆ addColumn()

void MyGUI::MemberObsolete< MultiListBox >::addColumn | ( | int | _width,
|  | const UString & | _name
| ) |  |

Deprecated:
  " is deprecated, use : void MultiListBox::addColumn(const UString& _name, int _width, Any _data)"

Definition at line 424 of file MyGUI_BackwardCompatibility.cpp.

## ◆ clearItemSelected()

void MyGUI::MemberObsolete< MultiListBox >::clearItemSelected | ( |  | ) |

Deprecated:
  " is deprecated, use : void MultiListBox::clearIndexSelected()"

Definition at line 387 of file MyGUI_BackwardCompatibility.cpp.

## ◆ deleteAllColumns()

void MyGUI::MemberObsolete< MultiListBox >::deleteAllColumns | ( |  | ) |

Deprecated:
  " is deprecated, use : void MultiListBox::removeAllColumns()"

Definition at line 408 of file MyGUI_BackwardCompatibility.cpp.

## ◆ deleteAllItems()

void MyGUI::MemberObsolete< MultiListBox >::deleteAllItems | ( |  | ) |

Deprecated:
  " is deprecated, use : void MultiListBox::removeAllItems()"

Definition at line 464 of file MyGUI_BackwardCompatibility.cpp.

## ◆ deleteColumn()

void MyGUI::MemberObsolete< MultiListBox >::deleteColumn | ( | size_t | _column | ) |

Deprecated:
  " is deprecated, use : void MultiListBox::removeColumnAt(size_t _column)"

Definition at line 404 of file MyGUI_BackwardCompatibility.cpp.

## ◆ deleteItem()

void MyGUI::MemberObsolete< MultiListBox >::deleteItem | ( | size_t | _index | ) |

Deprecated:
  " is deprecated, use : void MultiListBox::removeItemAt(size_t _index)"

Definition at line 460 of file MyGUI_BackwardCompatibility.cpp.

## ◆ findItem()

size_t MyGUI::MemberObsolete< MultiListBox >::findItem | ( | size_t | _column,
|  | const UString & | _name
| ) |  |

Deprecated:
  " is deprecated, use : size_t MultiListBox::findSubItemWith(size_t _column, const UString& _name)"

Definition at line 392 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getColumnName()

const UString & MyGUI::MemberObsolete< MultiListBox >::getColumnName | ( | size_t | _column | ) |

Deprecated:
  " is deprecated, use : const UString& MultiListBox::getColumnNameAt(size_t _column)"

Definition at line 416 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getColumnWidth()

int MyGUI::MemberObsolete< MultiListBox >::getColumnWidth | ( | size_t | _column | ) |

Deprecated:
  " is deprecated, use : int MultiListBox::getColumnWidthAt(size_t _column)"

Definition at line 412 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getItem()

const UString & MyGUI::MemberObsolete< MultiListBox >::getItem | ( | size_t | _index | ) |

Deprecated:
  " is deprecated, use : const UString& MultiListBox::getItemNameAt(size_t _index)"

Definition at line 456 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getItemIndexSelected()

size_t MyGUI::MemberObsolete< MultiListBox >::getItemIndexSelected | ( |  | ) |

Deprecated:
  " is deprecated, use : size_t MultiListBox::getIndexSelected()"

Definition at line 379 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getItemSelect()

size_t MyGUI::MemberObsolete< MultiListBox >::getItemSelect | ( |  | ) |

Deprecated:
  " is deprecated, use : size_t MultiListBox::getIndexSelected()"

Definition at line 436 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getSubItem()

const UString & MyGUI::MemberObsolete< MultiListBox >::getSubItem | ( | size_t | _column,
|  | size_t | _index
| ) |  |

Deprecated:
  " is deprecated, use : const UString& MultiListBox::getSubItemNameAt(size_t _column, size_t _index)"

Definition at line 396 of file MyGUI_BackwardCompatibility.cpp.

## ◆ insertColumn()

void MyGUI::MemberObsolete< MultiListBox >::insertColumn | ( | size_t | _column,
|  | int | _width,
|  | const UString & | _name
| ) |  |

Deprecated:
  " is deprecated, use : void MultiListBox::insertColumnAt(size_t _column, const UString& _name, int _width, Any _data)"

Definition at line 432 of file MyGUI_BackwardCompatibility.cpp.

## ◆ insertItem()

void MyGUI::MemberObsolete< MultiListBox >::insertItem | ( | size_t | _index,
|  | const UString & | _name
| ) |  |

Deprecated:
  " is deprecated, use : void MultiListBox::insertItemAt(size_t _index, const UString& _name, Any _data)"

Definition at line 448 of file MyGUI_BackwardCompatibility.cpp.

## ◆ resetItemSelect()

void MyGUI::MemberObsolete< MultiListBox >::resetItemSelect | ( |  | ) |

Deprecated:
  " is deprecated, use : void MultiListBox::clearIndexSelected()"

Definition at line 440 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setColumnName()

void MyGUI::MemberObsolete< MultiListBox >::setColumnName | ( | size_t | _column,
|  | const UString & | _name
| ) |  |

Deprecated:
  " is deprecated, use : void MultiListBox::setColumnNameAt(size_t _column, const UString& _name)"

Definition at line 428 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setColumnWidth()

void MyGUI::MemberObsolete< MultiListBox >::setColumnWidth | ( | size_t | _column,
|  | int | _width
| ) |  |

Deprecated:
  " is deprecated, use : void MultiListBox::setColumnWidthAt(size_t _column, int _width)"

Definition at line 420 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setItem()

void MyGUI::MemberObsolete< MultiListBox >::setItem | ( | size_t | _index,
|  | const UString & | _name
| ) |  |

Deprecated:
  " is deprecated, use : void MultiListBox::setItemNameAt(size_t _index, const UString& _name)"

Definition at line 452 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setItemSelect()

void MyGUI::MemberObsolete< MultiListBox >::setItemSelect | ( | size_t | _index | ) |

Deprecated:
  " is deprecated, use : void MultiListBox::setIndexSelected(size_t _index)"

Definition at line 444 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setItemSelectedAt()

void MyGUI::MemberObsolete< MultiListBox >::setItemSelectedAt | ( | size_t | _index | ) |

Deprecated:
  " is deprecated, use : void MultiListBox::setIndexSelected(size_t _index)"

Definition at line 383 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setSubItem()

void MyGUI::MemberObsolete< MultiListBox >::setSubItem | ( | size_t | _column,
|  | size_t | _index,
|  | const UString & | _name
| ) |  |

Deprecated:
  " is deprecated, use : void MultiListBox::setSubItemNameAt(size_t _column, size_t _index, const UString& _name)"

Definition at line 400 of file MyGUI_BackwardCompatibility.cpp.

The documentation for this class was generated from the following files:

- MyGUI_BackwardCompatibility.h
- MyGUI_BackwardCompatibility.cpp